@import '../variables.scss';

.input {
  height: 3.12rem;
  border: 1px solid $bia-primary;
  border-radius: 0.5rem;
  padding: 1rem 2.12rem 1rem 1.37rem;
  font-family: 'Roboto';
  font-weight: 500;
  background-color: $bia-white;

  &:disabled {
    border-color: $bia-gray-light;
    color: $bia-gray-lighter;
    opacity: 0.5;
  }

  &:read-only {
    border-radius: 0;
    border-top: none;
    border-left: none;
    border-right: none;
  }

  &--textarea {
    height: 6.5rem;
    resize: none;
  }

  &--invalid {
    border-color: $bia-tomato;
  }

  &__error{
    &-icon {
      color: $bia-tomato;
      font-size: $text-xl;
      transform: translate(-2.2rem, 1.12rem);
    }

    &-message {
      height: 1.44rem;
      border-radius: 0.25rem;
      color: $bia-white;
      background-color: $bia-tomato;
      font-size: $text-xs;
      transform: translateY(-1.2rem);
      right: 0.34rem;
      z-index: 1;
    }

    &-arrow {
      width: 0;
      height: 0;
      border-left: 0.25rem solid transparent;
      border-right: 0.25rem solid transparent;
      border-bottom: 0.25rem solid $bia-tomato;
      transform: translateY(-1.45rem);
      right: 1.35rem;
    }
  }

  &__password-button {
    font-size: $text-lg;
    transform: rotateX(180deg);
    right: 0rem;

    &--visible {
      transform: rotateX(0deg);
    }

    &--error {
      color: $bia-tomato;
    }
  }

  &__label {
    margin-left: 1.44rem;
    font-size: $text-sm;
    line-height: 1.3rem;
    font-family: 'Roboto';
  }
}
